import { LRLanguage, LanguageSupport } from "@codemirror/language";
import { EditorState } from "@codemirror/state";
import { Tree } from "@lezer/common";
declare const BSLanguage: LRLanguage;
declare const bslangCompletion: (sources: Array<{
    label: string;
    type: string;
}>) => import("@codemirror/state").Extension;
declare function BSLANG(autocompletionSources?: Array<{
    label: string;
    type: string;
}>): LanguageSupport;
// TODO: replace with more explicit types
type ASTNode = {
    name: string;
    children: Array<ASTNode>;
    content?: string;
};
declare function parseSyntaxTree(tree: Tree, state: EditorState): ASTNode;
export { BSLanguage, bslangCompletion, BSLANG, ASTNode, parseSyntaxTree };
